## xfce4-xapp-status-plugin 0.3.1+victoria

=== meson_options.txt ===
option('deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)

## xfce4-xapp-status-plugin 0.1.4+tricia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.1.4+tricia) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:45:02 +0000

xfce4-xapp-status-plugin (0.1.3) tricia; urgency=medium

  * Depend on libxapp 1.6

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 21 Dec 2019 19:16:35 +0000

xfce4-xapp-status-plugin (0.1.2) tricia; urgency=medium

  [ Michael Webster ]
  * Call gtk_widget_show_all() on a StatusIcon before binding to the (#1)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 09:45:50 +0000

xfce4-xapp-status-plugin (0.1.1) tricia; urgency=medium

  [ Michael Webster ]
  * debian/rules: remove a comment
  * Add about dialog to menu
  * Add sorting, fix selection highlighting

  [ Clement Lefebvre ]
  * Update pot and msgids
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:25:55 +0000

xfce4-xapp-status-plugin (0.1.0) unstable; urgency=medium

  * Initial commit.

 -- Michael Webster <mtwebster@mike-p51>  Sat, 12 Oct 2019 10:42:57 -0400

=== debian/control ===
Source: xfce4-xapp-status-plugin
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper (>= 10),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.3.16),
 libxapp-dev (>= 1.6.0),
 libxfce4panel-2.0-dev,
 meson,
Standards-Version: 3.9.6

Package: xfce4-xapp-status-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libxapp1 ( >= 1.6.0 )
Description: xapp status icon plugin for the Xfce4 panel

Package: xfce4-xapp-status-plugin-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: xfce4-xapp-status-plugin (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for xfce4-xapp-status-plugin.

## xfce4-xapp-status-plugin 0.2.0+ulyana

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.0+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * Adapt to changes brought by linuxmint/xapps@9c4d5e92d2eb288.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Aug 2020 15:10:36 +0100

xfce4-xapp-status-plugin (0.1.9) ulyana; urgency=medium

  * Fix version in meson.build

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:40:59 +0100

xfce4-xapp-status-plugin (0.1.8) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:33:07 +0100

xfce4-xapp-status-plugin (0.1.7) ulyana; urgency=medium

  [ Michael Webster ]
  * status-icon.c: Use new menu open state properties to sync the icon's toggle state with their visibility.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:38:58 +0100

xfce4-xapp-status-plugin (0.1.6) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 12:41:13 +0100

xfce4-xapp-status-plugin (0.1.5) ulyana; urgency=medium

  [ Michael Webster ]
  * Add scrolling support.
  * status-icon.c: Set the proxy icon size hint (used by the status notifier watcher).
  * Support irregularly-shaped images.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Apr 2020 15:58:30 +0100

xfce4-xapp-status-plugin (0.1.4) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:45:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/build
	meson debian/build \
		--prefix=/usr \
		--buildtype=plain \
		-D deprecated_warnings=false

override_dh_strip:
	dh_strip --dbg-package=xfce4-xapp-status-plugin-dbg

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## xfce4-xapp-status-plugin 0.2.2+ulyssa

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.2+ulyssa) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:44 +0000

xfce4-xapp-status-plugin (0.2.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * Use the proxy name+path to generate hashtable keys, since names alone will no longer guarantee uniqueness.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:19:36 +0000

xfce4-xapp-status-plugin (0.2.0) ulyana; urgency=medium

  [ Michael Webster ]
  * Adapt to changes brought by linuxmint/xapps@9c4d5e92d2eb288.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Aug 2020 15:10:36 +0100

## xfce4-xapp-status-plugin 0.2.4

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 14:10:14 -0400

xfce4-xapp-status-plugin (0.2.4) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:41 +0100

xfce4-xapp-status-plugin (0.2.3) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:22:57 +0100

xfce4-xapp-status-plugin (0.2.2) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: xfce4-xapp-status-plugin
 Section: x11
 Priority: optional
-Maintainer: Clement Lefebvre <root@linuxmint.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 10),
  libglib2.0-dev (>= 2.37.3),
  libgtk-3-dev (>= 3.3.16),
- libxapp-dev (>= 1.6.0),
+ libjson-glib-dev(>= 1.4.2),
+ libxapp-dev (>= 1.8.7),
  libxfce4panel-2.0-dev,
  meson,
 Standards-Version: 3.9.6

## xfce4-xapp-status-plugin 0.2.4+uma

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.4+uma) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:41 +0100

## xfce4-xapp-status-plugin 0.2.6+una

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.6+una) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:07:32 +0000

xfce4-xapp-status-plugin (0.2.5) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:58:02 +0000

## xfce4-xapp-status-plugin 0.2.8+vanessa

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.8+vanessa) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:37:00 +0200

xfce4-xapp-status-plugin (0.2.7) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 13:55:55 +0200

xfce4-xapp-status-plugin (0.2.6) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:07:32 +0000

## xfce4-xapp-status-plugin 0.2.9+vera

=== debian/changelog ===
xfce4-xapp-status-plugin (0.2.9+vera) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:42:40 +0000

xfce4-xapp-status-plugin (0.2.8) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:37:00 +0200

## xfce4-xapp-status-plugin 0.3.0+victoria

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * meson: Build a shared module, not a shared library.
  * Fix build warnings.
  * Clean up debian build.
  * Add github workflow, .gitignore.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 31 May 2023 13:21:52 +0100

xfce4-xapp-status-plugin (0.2.9) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:42:40 +0000

## xfce4-xapp-status-plugin 0.3.1+victoria

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.1+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:07:43 +0100

xfce4-xapp-status-plugin (0.3.0) victoria; urgency=medium

  [ Michael Webster ]
  * meson: Build a shared module, not a shared library.
  * Fix build warnings.
  * Clean up debian build.
  * Add github workflow, .gitignore.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 31 May 2023 13:21:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=xfce4-xapp-status-plugin-dbg

## xfce4-xapp-status-plugin 0.3.2+virginia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.2+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:21:04 +0000

xfce4-xapp-status-plugin (0.3.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:07:43 +0100

## xfce4-xapp-status-plugin 0.3.3+virginia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.3+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:06:25 +0000

xfce4-xapp-status-plugin (0.3.2) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:21:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-xapp-status-plugin
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
+Maintainer: Clement Lefebvre <root@linuxmint.com>
 Build-Depends:
  debhelper (>= 10),
  libglib2.0-dev (>= 2.37.3),

## xfce4-xapp-status-plugin 0.3.4+wilma

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.4+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Support markup for the icon's tooltip.
  * Allow icon sizes to be configured in the context menu.
  * Don't force an icon's allocation to match the panel height.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 11:05:30 +0100

xfce4-xapp-status-plugin (0.3.3) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:06:25 +0000

## xfce4-xapp-status-plugin 0.3.5+wilma

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.5+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:00:20 +0100

xfce4-xapp-status-plugin (0.3.4) wilma; urgency=medium

  [ Michael Webster ]
  * Support markup for the icon's tooltip.
  * Allow icon sizes to be configured in the context menu.
  * Don't force an icon's allocation to match the panel height.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 11:05:30 +0100

## xfce4-xapp-status-plugin 0.3.6+wilma

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.6+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:44:44 +0100

xfce4-xapp-status-plugin (0.3.5) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:00:20 +0100

## xfce4-xapp-status-plugin 0.3.7+xia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.7+xia) xia; urgency=medium

  [ Michael Webster ]
  * Make configuration and About accessible from the panel preferences list instead of the right-click menu.
  * Ensure plugin exits when being removed or logging out.
  * debian/rules: Specify build type debugoptimized.
  * Update makepot to include the new Glade file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 11:07:26 +0000

xfce4-xapp-status-plugin (0.3.6) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:44:44 +0100

## xfce4-xapp-status-plugin 0.3.8+xia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.8+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:58:26 +0000

xfce4-xapp-status-plugin (0.3.7) xia; urgency=medium

  [ Michael Webster ]
  * Make configuration and About accessible from the panel preferences list instead of the right-click menu.
  * Ensure plugin exits when being removed or logging out.
  * debian/rules: Specify build type debugoptimized.
  * Update makepot to include the new Glade file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 11:07:26 +0000

## xfce4-xapp-status-plugin 0.3.9+xia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.3.9+xia) xia; urgency=medium

  [ Michael Webster ]
  * debian: Install the glade file.
  * Make icon spacing consistent with other panel items, improve default symbolic icon size.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2024 12:33:10 +0000

xfce4-xapp-status-plugin (0.3.8) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:58:26 +0000

## xfce4-xapp-status-plugin 0.4.0+xia

=== debian/changelog ===
xfce4-xapp-status-plugin (0.4.0+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:19:04 +0000

xfce4-xapp-status-plugin (0.3.9) xia; urgency=medium

  [ Michael Webster ]
  * debian: Install the glade file.
  * Make icon spacing consistent with other panel items, improve default symbolic icon size.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2024 12:33:10 +0000

## xfce4-xapp-status-plugin 0.4.1+xia~pearl12

=== debian/changelog ===
xfce4-xapp-status-plugin (0.4.1+xia~pearl12) scootski; urgency=medium

  * Initial build for Pearl

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sat, 08 Mar 2025 23:18:18 -0600

xfce4-xapp-status-plugin (0.4.1+xia) xia; urgency=medium

  * Reduce symbolic icon size to 20px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 14:54:31 +0000

xfce4-xapp-status-plugin (0.4.0) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:19:04 +0000

## xfce4-xapp-status-plugin 0.4.2%2Bzara

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbg-package=xfce4-xapp-status-plugin-dbg

override_dh_auto_configure:
	dh_auto_configure -- \
	--buildtype=debugoptimized

## xfce4-xapp-status-plugin 0.4.2+zara

=== debian/changelog ===
xfce4-xapp-status-plugin (0.4.2+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:36:29 +0200

xfce4-xapp-status-plugin (0.4.1) xia; urgency=medium

  * Reduce symbolic icon size to 20px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 14:54:31 +0000

## xfce4-xapp-status-plugin 0.4.3+zena

=== debian/changelog ===
xfce4-xapp-status-plugin (0.4.3+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:06:41 +0000

xfce4-xapp-status-plugin (0.4.2) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:36:29 +0200

## xfce4-xapp-status-plugin 0.4.4+zena

=== debian/changelog ===
xfce4-xapp-status-plugin (0.4.4+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:29:40 +0000

xfce4-xapp-status-plugin (0.4.3) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:06:41 +0000
